Module org.jboss.classfilewriter
Package org.jboss.classfilewriter.constpool

# Enum ConstPoolEntryType

java.lang.Object
java.lang.Enum<ConstPoolEntryType>
org.jboss.classfilewriter.constpool.ConstPoolEntryType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConstPoolEntryType>`, `java.lang.constant.Constable`

public enum ConstPoolEntryType extends Enum<ConstPoolEntryType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLASS`
`DOUBLE`
`FIELDREF`
`FLOAT`
`INTEGER`
`INTERFACE_METHODREF`
`LONG`
`METHODREF`
`NAME_AND_TYPE`
`STRING`
`UTF8`

## Method Summary

Modifier and Type
Method
Description
`int`
`getSlots()`
The number of spaces this takes up in the const pool
`int`
`getTag()`
`static ConstPoolEntryType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConstPoolEntryType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLASS

public static final ConstPoolEntryType CLASS

### FIELDREF

public static final ConstPoolEntryType FIELDREF

### METHODREF

public static final ConstPoolEntryType METHODREF

### INTERFACE_METHODREF

public static final ConstPoolEntryType INTERFACE_METHODREF

### STRING

public static final ConstPoolEntryType STRING

### INTEGER

public static final ConstPoolEntryType INTEGER

### FLOAT

public static final ConstPoolEntryType FLOAT

### LONG

public static final ConstPoolEntryType LONG

### DOUBLE

public static final ConstPoolEntryType DOUBLE

### NAME_AND_TYPE

public static final ConstPoolEntryType NAME_AND_TYPE

### UTF8

public static final ConstPoolEntryType UTF8

## Method Details

### values

public static ConstPoolEntryType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ConstPoolEntryType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getTag

public int getTag()

### getSlots

public int getSlots()
The number of spaces this takes up in the const pool